[arch-commits] Commit in fontforge/trunk (PKGBUILD)

Rémy Oudompheng remy at archlinux.org
Tue Aug 31 12:24:31 EDT 2010


    Date: Tuesday, August 31, 2010 @ 12:24:30
  Author: remy
Revision: 89417

upgpkg: fontforge 20100501-2
Rebuild for python2.

Modified:
  fontforge/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-31 16:04:23 UTC (rev 89416)
+++ PKGBUILD	2010-08-31 16:24:30 UTC (rev 89417)
@@ -5,31 +5,35 @@
 
 pkgname=fontforge
 pkgver=20100501
-pkgrel=1
+pkgrel=2
 pkgdesc="An outline and bitmap font editor"
 arch=('i686' 'x86_64')
 url="http://fontforge.sourceforge.net"
 license=('BSD')
-depends=('libxkbui' 'libxi' 'libxml2' 'pango' 'giflib' 'libtiff' 'python')
-options=('!libtool' '!makeflags')
-source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}_full-${pkgver}.tar.bz2")
-md5sums=('5f3d20d645ec1aa2b7b4876386df8717')
+depends=('libxkbui' 'libxi' 'libxml2' 'pango' 'giflib' 'libtiff' 'python2')
+options=('!libtool')
+source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}_full-${pkgver}.tar.bz2"
+        "python27-compat.patch")
+md5sums=('5f3d20d645ec1aa2b7b4876386df8717'
+         '5a8e248febbce9ce3836ce5218a13f47')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  # Patch for python 2.7 compatibility (fontforge-devel ML)
+  patch -p1 -i "$srcdir"/python27-compat.patch
   ./configure --prefix=/usr \
     --mandir=/usr/share/man \
     --enable-type3 \
     --enable-double \
     --enable-devicetables \
     --with-regular-link \
-    --with-python \
+    --with-python=python2 \
     --enable-pyextension || return 1
   make || return 1
 }
 
 package() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  make DESTDIR="${pkgdir}" install || return 1
+  make -j1 DESTDIR="${pkgdir}" install || return 1
   install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }



More information about the arch-commits mailing list